Skip to content

updateEmployeeJob

DESTRUCTIVE

Update employee job.

POST /api/v1/people/updateEmployeeJob
curl -X POST '<your-host>/api/v1/people/updateEmployeeJob' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employeeId": "string",
    "employeeJob": {}
  }'

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "employeeId": {
      "type": "string"
    },
    "employeeJob": {
      "type": "object",
      "properties": {
        "title": {
          "type": "string"
        },
        "startDate": {
          "type": "string"
        },
        "locationId": {
          "type": "string",
          "minLength": 1
        },
        "shiftId": {
          "type": "string"
        },
        "departmentId": {
          "type": "string"
        },
        "managerId": {
          "type": "string"
        },
        "customFields": {}
      },
      "required": [
        "locationId"
      ]
    }
  },
  "required": [
    "employeeId",
    "employeeJob"
  ]
}